import { NgForm } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AswImageDrawingDialog {
    dialogRef: MatDialogRef<AswImageDrawingDialog>;
    control: any;
    width: number;
    height: number;
    constructor(dialogRef: MatDialogRef<AswImageDrawingDialog>, control: any);
    onNoClick(): void;
    onSubmit(aswEditPropertyForm: NgForm): void;
    saveImage(blob: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswImageDrawingDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswImageDrawingDialog, "asw-image-drawing-dialog", never, {}, {}, never, never>;
}
